Summary: A network configuration tool.
Name: netcfg
Version: 2.20
Release: 2
Copyright: GPL
Group: Applications/System
Source: netcfg-%{PACKAGE_VERSION}.tar.gz
Requires: pythonlib >= 1.20, python, tkinter, initscripts >= 3.24
BuildArchitectures: noarch
BuildRoot: /var/tmp/netcfg-root

%description
A Red Hat Linux tool which provides a graphical user interface for
setting up and configuring networking for your machine.

%prep
%setup -q

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
rm -rf $RPM_BUILD_ROOT

unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python

make	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLBIN="install -m755" INSTALLDATA="install -m644" \
	install

( cd $RPM_BUILD_ROOT
  mkdir -p ./usr/share/icons
  cp ./usr/lib/rhs/control-panel/netcfg.xpm ./usr/share/icons
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/netcfg
/usr/lib/rhs/netcfg
/usr/lib/rhs/control-panel/netcfg.init
/usr/lib/rhs/control-panel/netcfg.xpm
/usr/share/icons/netcfg.xpm
%attr(0600,root,root)	%config(missingok) /etc/X11/wmconfig/netcfg

%changelog
* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fixed netcfg version number in python src.

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- fixed bug 881

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Bugs fixed:
 o wmconfig files take no paths
 o only root should see wmconfig

* Thu Nov 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Version 2.19 New features:
 o Debugging option for PPP devices
 o Supports active and passive PPP servers with a single configuration.

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- Bugs fixed:
 o icon name corrected in netcfg.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- Version 2.18 New features:
 o "Clone" devices allow multiple interface configurations
 o IP Forwarding option
 o Menus for modem ports and speeds.
- Bugs fixed:
 o physical/logical PPP device name translation
 o ignores backup files better.
 o removes dip scripts when removing slip devices
 o USERCTL fixed for "bus" devices like ethernet
 o Now asks for interface number for PLIP devices

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Allows ALL device types to be user-controllable
 o Allows DHCP configuration

* Wed Apr 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Silently disallows senseless lo aliasing
 o Loudly disallows non-functional SLIP aliasing
- Bugs fixed:
 o Didn't always create correct alias numbers
 o Hung if a device without an IP was aliased

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Supports user-controlled interfaces.
 o Includes PAP support for PPP interfaces.
 o Supports two kinds of timeouts for PPP interfaces.
 o Supports MTU as well as MRU
 o Allows giving arbitrary options to pppd
 o Sanity checking on /etc/hosts
- Bugs fixed:
 o Didn't always find the first free interface number
 o Sometimes tried to "add" an existing interface number
